@echo off
if "%OS%" == "Windows_NT" setlocal

if "%JOBSERVER_HOME%" == "" goto guessIt
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
echo 
rem Even though it is set and not correct try to guess
:guessIt
set JOBSERVER_HOME=.
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
rem Try to guess what JOBSERVER_HOME is
set JOBSERVER_HOME=..
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
set JOBSERVER_HOME=..\..
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
echo  The JOBSERVER_HOME environment variable is not set. This
echo  variable needs to be set to run this program. Program
echo  exiting.
goto end

:okHome
call "%JOBSERVER_HOME%\conf\system-config.bat"
if exist "%JAVA_HOME%\bin\java.exe" goto okExec
echo  The JAVA_HOME environment variable is not set. This
echo  variable needs to be set to run this program. Program
echo  exiting.
goto end

:okExec

rem check if server is running or not
call "%JOBSERVER_HOME%\bin\jsmonitor.bat" -simplewebserverstatus > nul
set ENVCHECK=%ERRORLEVEL%

if "%ENVCHECK%" == "0" goto startContainer
echo  Web Container - Already Running
goto end

:startContainer
rem set SERVER_XML_FILE=serverTemplate.xml
rem if NOT "%useSSL%" == "true" goto startNow
rem set SERVER_XML_FILE=serverTemplateSSL.xml
rem set SSL_COMMENT=(SSL Enabled)
rem :startNow
rem call "%JOBSERVER_HOME%\bin\toolbin\copywebtemplate.bat" %SERVER_XML_FILE%

set CATALINA_HOME=%JOBSERVER_HOME%\sys\app
call "%JOBSERVER_HOME%\sys\app\bin\startup.bat"

echo  Web Container Started %SSL_COMMENT%
 
:end
